summaryrefslogtreecommitdiffstats
path: root/development/actionlint
diff options
context:
space:
mode:
Diffstat (limited to 'development/actionlint')
-rw-r--r--development/actionlint/README4
-rw-r--r--development/actionlint/actionlint.SlackBuild180
-rw-r--r--development/actionlint/actionlint.info32
-rw-r--r--development/actionlint/slack-desc19
4 files changed, 235 insertions, 0 deletions
diff --git a/development/actionlint/README b/development/actionlint/README
new file mode 100644
index 0000000000..4a12de1efb
--- /dev/null
+++ b/development/actionlint/README
@@ -0,0 +1,4 @@
+actionlint - Static checker for GitHub Actions workflow files
+
+NOTE: google-go-lang is only needed at compile time - not at runtime.
+ ronn is a build only dependency for creating the man page.
diff --git a/development/actionlint/actionlint.SlackBuild b/development/actionlint/actionlint.SlackBuild
new file mode 100644
index 0000000000..dd0335f2a0
--- /dev/null
+++ b/development/actionlint/actionlint.SlackBuild
@@ -0,0 +1,180 @@
+#!/bin/bash
+
+# Slackware build script for actionlint
+
+# Copyright 2023-2024 Andrew Clemons, Tokyo Japan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=actionlint
+VERSION=${VERSION:-1.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+mkdir -p vendor/github.com
+
+for DEPENDENCY in fatih/color/1.17.0 \
+ google/go-cmp/0.6.0 \
+ mattn/go-colorable/0.1.13 \
+ mattn/go-isatty/0.0.20 \
+ mattn/go-runewidth/0.0.15 \
+ rivo/uniseg/0.4.7 \
+ robfig/cron/3.0.1 \
+ yuin/goldmark/1.7.0 ; do
+ DEPENDENCY_OWNER="$(echo "$DEPENDENCY" | cut -d/ -f1)"
+ DEPENDENCY_NAME="$(echo "$DEPENDENCY" | cut -d/ -f2)"
+ DEPENDENCY_REV="$(echo "$DEPENDENCY" | cut -d/ -f3)"
+
+ mkdir -p "vendor/github.com/$DEPENDENCY_OWNER"
+
+ tar xf "$CWD/$DEPENDENCY_NAME-$DEPENDENCY_REV.tar.gz"
+
+ if [ "$DEPENDENCY_NAME" = "cron" ] ; then
+ mkdir "vendor/github.com/$DEPENDENCY_OWNER/$DEPENDENCY_NAME/"
+ mv "$DEPENDENCY_NAME-$DEPENDENCY_REV" "vendor/github.com/$DEPENDENCY_OWNER/$DEPENDENCY_NAME/v3"
+ else
+ mv "$DEPENDENCY_NAME-$DEPENDENCY_REV" "vendor/github.com/$DEPENDENCY_OWNER/$DEPENDENCY_NAME"
+ fi
+done
+
+mkdir -p vendor/golang.org/x
+for DEPENDENCY in sync/0.7.0 \
+ sys/0.20.0 ; do
+ DEPENDENCY_NAME="$(echo "$DEPENDENCY" | cut -d/ -f1)"
+ DEPENDENCY_REV="$(echo "$DEPENDENCY" | cut -d/ -f2)"
+
+ tar xf "$CWD/$DEPENDENCY_NAME-$DEPENDENCY_REV.tar.gz"
+ mv "$DEPENDENCY_NAME-$DEPENDENCY_REV" "vendor/golang.org/x/$DEPENDENCY_NAME"
+done
+
+mkdir -p vendor/gopkg.in
+tar -xf "$CWD/yaml-3.0.1.tar.gz"
+mv yaml-3.0.1 "vendor/gopkg.in/yaml.v3"
+
+cat << EOF > vendor/modules.txt
+# github.com/fatih/color v1.17.0
+## explicit; go 1.17
+github.com/fatih/color
+# github.com/google/go-cmp v0.6.0
+## explicit; go 1.13
+github.com/google/go-cmp/cmp
+github.com/google/go-cmp/cmp/cmpopts
+github.com/google/go-cmp/cmp/internal/diff
+github.com/google/go-cmp/cmp/internal/flags
+github.com/google/go-cmp/cmp/internal/function
+github.com/google/go-cmp/cmp/internal/value
+# github.com/mattn/go-colorable v0.1.13
+## explicit; go 1.15
+github.com/mattn/go-colorable
+# github.com/mattn/go-isatty v0.0.20
+## explicit; go 1.15
+github.com/mattn/go-isatty
+# github.com/mattn/go-runewidth v0.0.15
+## explicit; go 1.9
+github.com/mattn/go-runewidth
+# github.com/rivo/uniseg v0.4.7
+## explicit; go 1.18
+github.com/rivo/uniseg
+# github.com/robfig/cron/v3 v3.0.1
+## explicit; go 1.12
+github.com/robfig/cron/v3
+# github.com/yuin/goldmark v1.7.1
+## explicit; go 1.19
+github.com/yuin/goldmark
+github.com/yuin/goldmark/ast
+github.com/yuin/goldmark/extension
+github.com/yuin/goldmark/extension/ast
+github.com/yuin/goldmark/parser
+github.com/yuin/goldmark/renderer
+github.com/yuin/goldmark/renderer/html
+github.com/yuin/goldmark/text
+github.com/yuin/goldmark/util
+# golang.org/x/sync v0.7.0
+## explicit; go 1.18
+golang.org/x/sync/errgroup
+golang.org/x/sync/semaphore
+# golang.org/x/sys v0.20.0
+## explicit; go 1.18
+golang.org/x/sys/execabs
+golang.org/x/sys/unix
+golang.org/x/sys/windows
+# gopkg.in/yaml.v3 v3.0.1
+## explicit
+gopkg.in/yaml.v3
+EOF
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+go build -ldflags "-s -w -X github.com/rhysd/actionlint.version=$VERSION" -mod=vendor ./cmd/actionlint
+install -D -m0755 actionlint $PKG/usr/bin/actionlint
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+ronn man/actionlint.1.ronn
+install -D -m0644 man/actionlint.1 $PKG/usr/man/man1/actionlint.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md CONTRIBUTING.md LICENSE.txt README.md docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/actionlint/actionlint.info b/development/actionlint/actionlint.info
new file mode 100644
index 0000000000..d1ddb8fd75
--- /dev/null
+++ b/development/actionlint/actionlint.info
@@ -0,0 +1,32 @@
+PRGNAM="actionlint"
+VERSION="1.7.1"
+HOMEPAGE="https://github.com/rhysd/actionlint"
+DOWNLOAD="https://github.com/rhysd/actionlint/archive/v1.7.1/actionlint-1.7.1.tar.gz \
+ https://github.com/fatih/color/archive/v1.17.0/color-1.17.0.tar.gz \
+ https://github.com/google/go-cmp/archive/v0.6.0/go-cmp-0.6.0.tar.gz \
+ https://github.com/mattn/go-colorable/archive/v0.1.13/go-colorable-0.1.13.tar.gz \
+ https://github.com/mattn/go-isatty/archive/v0.0.20/go-isatty-0.0.20.tar.gz \
+ https://github.com/mattn/go-runewidth/archive/v0.0.15/go-runewidth-0.0.15.tar.gz \
+ https://github.com/rivo/uniseg/archive/v0.4.7/uniseg-0.4.7.tar.gz \
+ https://github.com/robfig/cron/archive/v3.0.1/cron-3.0.1.tar.gz \
+ https://github.com/yuin/goldmark/archive/v1.7.0/goldmark-1.7.0.tar.gz \
+ https://github.com/golang/sync/archive/v0.7.0/sync-0.7.0.tar.gz \
+ https://github.com/golang/sys/archive/v0.20.0/sys-0.20.0.tar.gz \
+ https://github.com/go-yaml/yaml/archive/v3.0.1/yaml-3.0.1.tar.gz"
+MD5SUM="1b1cfd4dc944a94e62dcbb8dd1f694aa \
+ 289cae2b64324decc1e6e1cf2bdbd624 \
+ 5f88097e0cfd038e6f44c80c3580fa78 \
+ ac74020d881d4966e33ab6580f509aeb \
+ 0e9df2fea5b77d464d518a6c60ce8ba2 \
+ 3da9ee6fafe706e99bd88ac86023f6a5 \
+ 3751c82dd342cd5823703910b9da173d \
+ 6165823364bc3bd568d3a6a1dee6c2cb \
+ 2668b89123f9a0acccf8a9a89d0679e4 \
+ 7a89be834b4d9fa79e57d6f6024bc1aa \
+ 7b645e9b79a0c60a4272df2e6cc9a5f3 \
+ 3653fca1491a8b432d590ed3dab3aa77"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang rubygem-ronn"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/development/actionlint/slack-desc b/development/actionlint/slack-desc
new file mode 100644
index 0000000000..15eb006f9a
--- /dev/null
+++ b/development/actionlint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+actionlint: actionlint (Static checker for GitHub Actions workflow files)
+actionlint:
+actionlint: actionlint is a static checker for GitHub Actions workflow files.
+actionlint:
+actionlint: https://github.com/rhysd/actionlint
+actionlint:
+actionlint:
+actionlint:
+actionlint:
+actionlint:
+actionlint: